; homeall.g
; called to home all axes
G91                    ; relative positioning
G21             		 ; Set units to mm
M564 S0				; allow movement outside of boundaries
G1 H1 Z500 F1500   	; move quickly to Z axis endstop and stop there (first pass)
;G92 Z20		; set height of probe to 15, which is the height of the z touch probe
G1 Z-5 F2400 		; go back a few mm
G1 H1 Z500 F300		; move slowly to x axis endstopp once more (second pass)
;G92 Z20		; set height of probe to 15, which is the height of the z touch probe
;G1 Z3 F2400		; lift z a little

M584 X0 Y1 P5			; split x and y axis

G1 H1 X-1500 U-1500 F2400 		; move quickly to X and Y axis endstops and stop there (first pass)
G1 X3 U3 F2400 					; go back a few mm
G1 H1 X-1500 U-1500 F300 		; move slowly to X and Y axis endstops once more (second pass)

G1 H1 Y-1500 V-1500 F2400 	; move quickly to X and Y axis endstops and stop there (first pass)
G1 Y3 V3 F500 				; go back a few mm
G1 H1 Y-1500 V-1500 F300 	; move slowly to X and Y axis endstops once more (second pass)

M584 X0:4 Y 1:3 P3 					; join x axis

;M291 P"get ready to home Z-Axis with touchprobe. Click ok when probe in place" R"Home Z-Axis" S3
M564 S1 	;restrict movement again to within axis limits
G90			; absolute positioning

